Subject: Re: Efficiency of caller/toss

From: John Goerzen <[email-masked]>
Date: Thu, 19 Aug 2021 21:24:06 -0500

On Wed, Aug 18 2021, Sergey Matveev wrote:

> Creation and deletion are wearout operations of course, but NNCP 
> does
> not delete .lock files. They are created only once and then only
> open+lock syscalls are involved (src/lockdir.go).

Ahh, so it is.  I misread the parameters to open() in strace.

Incidentally, on the Linux environment on my Lenovo Chromebook 
Duet (a rather resource-constrained environment that runs under 
multiple layers of emulation), I found nncp-caller was using about 
3.5% of CPU while maintaining an otherwise-idle TCP connection, 
and less otherwise.  I wonder if we could have a paremeter to 
decrease the rescan interval there?

- John